<template>
  <form @submit.prevent="addUser">
      <input type="text" placeholder="Vorname" v-model="firstName" required/>
      <input type="text" placeholder="Nachname" v-model="lastName" required/>
      <button type="submit">Add User</button>
  </form>
</template>

<script setup>
  import { ref } from 'vue'
  import { useUserStore } from '@/store/UserStore'

  const firstName = ref('')
  const lastName = ref('')
  const userStore = useUserStore()

  function addUser() {
    userStore.users.push({
      userId: Math.round(Math.random() * 10000),
      firstName: firstName.value,
      lastName: lastName.value
    })
  }
</script>
